/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.info.display.internal.asset.display.page.portlet;

import com.liferay.asset.display.page.portlet.AssetDisplayPageFriendlyURLProvider;

import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;
import org.osgi.util.tracker.ServiceTracker;

/**
 * @author Pavel Savinov
 */
public class AssetDisplayPageFriendlyURLProviderUtil {

	public static AssetDisplayPageFriendlyURLProvider
		getAssetDisplayPageFriendlyURLProvider() {

		return _serviceTracker.getService();
	}

	private static final ServiceTracker
		<AssetDisplayPageFriendlyURLProvider,
		 AssetDisplayPageFriendlyURLProvider> _serviceTracker;

	static {
		Bundle bundle = FrameworkUtil.getBundle(
			AssetDisplayPageFriendlyURLProvider.class);

		ServiceTracker
			<AssetDisplayPageFriendlyURLProvider,
			 AssetDisplayPageFriendlyURLProvider> serviceTracker =
				new ServiceTracker<>(
					bundle.getBundleContext(),
					AssetDisplayPageFriendlyURLProvider.class, null);

		serviceTracker.open();

		_serviceTracker = serviceTracker;
	}

}